<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myGoodContainerLabel" jhiTranslate="mpmApp.goodContainer.home.createOrEditLabel">Create or edit a Good Container</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!goodContainer.idGoodContainer">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="goodContainer.idGoodContainer" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.goodContainer.dateFrom" for="field_dateFrom">Date From</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="goodContainer.dateFrom"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.goodContainer.dateThru" for="field_dateThru">Date Thru</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="goodContainer.dateThru"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>

                <div class="form-group" *ngIf="idGood === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.goodContainer.good" for="field_good">Good</label>
                    <select class="form-control" id="field_good" name="good" [(ngModel)]="goodContainer.goodId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="goodOption.idProduct" *ngFor="let goodOption of goods; trackBy: trackGoodById">{{goodOption.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idContainer === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.goodContainer.container" for="field_container">Container</label>
                    <select class="form-control" id="field_container" name="container" [(ngModel)]="goodContainer.containerId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="containerOption.idContainer" *ngFor="let containerOption of containers; trackBy: trackContainerById">{{containerOption.containerCode}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idOrganization === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.goodContainer.organization" for="field_organization">Organization</label>
                    <select class="form-control" id="field_organization" name="organization" [(ngModel)]="goodContainer.organizationId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="organizationOption.idParty" *ngFor="let organizationOption of organizations; trackBy: trackOrganizationById">{{organizationOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
